# SourcePath: bzip2/20191212dev
Summary: A Program for Compressing Files
Name: sony-target-dev-bzip2
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-bzip2
Version: 1.0.6
Release: 14020003
Source          : bzip2-%{version}.tar.bz2
Patch1          : 10-bzip2.1.patch
Patch2          : 20-legacy.patch
Patch3          : bzip2-1.0.6-CVE-2016-3189.patch
Patch4          : bzip2-1.0.6-CVE-2019-12900.patch
Patch5          : bzip2-1.0.6-CVE-2019-12900-regression.patch
License: BSD/GPLv2
URL:  http://www.bzip.org/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities
of the best techniques available.  However, bzip2 has the added benefit
of being approximately two times faster at compression and six times
faster at decompression than those techniques.  Bzip2 is not the
fastest compression utility, but it does strike a balance between speed
and compression capability.

%package -n %{pkgname}
Summary: A Program for Compressing Files
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Bzip2 is a freely available, patent-free, high quality data compressor.
Bzip2 compresses files to within 10 to 15 percent of the capabilities
of the best techniques available.  However, bzip2 has the added benefit
of being approximately two times faster at compression and six times
faster at decompression than those techniques.  Bzip2 is not the
fastest compression utility, but it does strike a balance between speed
and compression capability.


%prep
%setup -n bzip2-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%sony_target_dev_setup
export CFLAGS="-O2 -D_FILE_OFFSET_BITS=64 -fpic -fPIC"
make CC="$CC" AR="$AR" RANLIB="$RANLIB" all | tee -a build.log

%install
%sony_target_dev_setup
rm -rf %{buildroot}

make PREFIX=%{buildroot}%{sony_target_dir}/usr install
cd %{buildroot}%{sony_target_dir}/usr/bin
for f in bzcmp bzegrep bzfgrep bzless
do
	unlink $f 
done

ln -s -f bzdiff bzcmp
ln -s -f bzgrep bzegrep
ln -s -f bzgrep bzfgrep
ln -s -f bzmore bzless
cd -

# 6.x
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
	%{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "optinfo" -a "$l" != "optinfo" ]; then
      ln -s ../..%{sony_target_devtool_lib_dir}/$l \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
   fi
done


mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}
cd %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/include
mv *.h %{buildroot}%{sony_target_dir}%{sony_target_devtool_include_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/include
cd -

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/bunzip2 \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}
mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/bzcat \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_local_bin_dir}

rm -rf %{buildroot}%{sony_target_dir}/usr/man

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}/*

%changelog
* Wed Apr 1 2020 Sony Corporation
- Added patches for CVE-2016-3189 CVE-2019-12900

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Jun 26 2017 Sony Corporation
- Reset release number

* Wed Jan 27 2016 Sony Corporation
- Initial build
